Description

It is a known issue that this extension has randomly decided to stop working for me on Mac OS X within the last two updates. I think the problem may be that I must have messed up the build shell scripts without realizing, as the code itself hasn't changed. If there is anyone here who has experience with statically linking libraries on Mac could tell me what I'm doing wrong in my build shell scripts, you will be permanently added to the credits with a big thank you! :D

[Made for GameMaker Studio 2]

This extension is for Windows, macOS, and Ubuntu.

Brings back the original GameMaker joystick functions for compatibility purposes.

Remove the need for compatibility scripts in GameMaker Studio 2, allowing for intellisense and for the joystick functions to be used on all desktop platforms supported by GameMaker Studio 1.4, (as apposed to being Windows-only).

Inportant Note:

In a persistent object instance that must always remain activated, you must call the function joystick_update() once every step, for this extension to work. The rest should work the same as GameMaker 8.1 out-of-the-box on all supported platforms. The GameMaker Studio 1.4 port of this extension is not yet available due to a bug with the Marketplace's asset uploader.

Functions Included:

  • real joystick_exists(real id)

  • string joystick_name(real id)

  • real joystick_buttons(real id)

  • real joystick_axes(real id)

  • real joystick_check_button(real id, real numb)

  • real joystick_xpos(real id)

  • real joystick_ypos(real id)

  • real joystick_zpos(real id)

  • real joystick_rpos(real id)

  • real joystick_upos(real id)

  • real joystick_vpos(real id)

  • more to be added soon...

The DLL's full source code included.

The Linux apps that use this extension need SDL2 installed.

To install SDL2 on Debian-based Linux distributions, enter this command into the terminal:

sudo apt-get install libsdl2-2.0

The Linux library's source code needs libsdl2-dev installed.

To install libsdl2-dev on Debian-based Linux distributions, enter this command into the terminal:

sudo apt-get install libsdl2-dev

End User Licence Agreement (EULA).

Changes in 0.0.4

  • [All Platforms] Fixed a small bug with joystick_update().

Version 0.0.4. Published January 5, 2019

Age Rating: 4+

Average Rating

This asset hasn't received enough reviews yet.

Your review

You can only review assets you've bought.

No reviews yet

No reviews have been left for this asset - be the first!

Package contents

Loading, please wait

What is the issue?

Back to Top